GDBserver

Macros | Functions | Variables
linux-aarch64-ipa.c File Reference
`#include "server.h"`
`#include <sys/mman.h>`
`#include "tracepoint.h"`
`#include <elf.h>`
`#include "linux-aarch64-tdesc.h"`

Go to the source code of this file.

## Macros
#define | FT_CR_SIZE 16
#define | FT_CR_FPCR 0
#define | FT_CR_FPSR 1
#define | FT_CR_CPSR 2
#define | FT_CR_PC 3
#define | FT_CR_SP 4
#define | FT_CR_X0 5
#define | FT_CR_GPR(n) (FT_CR_X0 + (n))
#define | FT_CR_FPR(n) (FT_CR_GPR (31) + (n))
#define | AARCH64_NUM_FT_COLLECT_GREGS (sizeof (aarch64_ft_collect_regmap) / sizeof(aarch64_ft_collect_regmap[0]))

## Functions
void | supply_fast_tracepoint_registers (struct regcache *regcache, const unsigned char *buf)
ULONGEST | get_raw_reg (const unsigned char *raw_regs, int regnum)
const struct target_desc * | get_ipa_tdesc (int idx)
void * | alloc_jump_pad_buffer (size_t size)
void | initialize_low_tracepoint (void)

## Variables
static const int | aarch64_ft_collect_regmap []

## Macro Definition Documentation

## ◆ AARCH64_NUM_FT_COLLECT_GREGS

#define AARCH64_NUM_FT_COLLECT_GREGS (sizeof (aarch64_ft_collect_regmap) / sizeof(aarch64_ft_collect_regmap[0]))

Definition at line 121 of file linux-aarch64-ipa.c.

Referenced by get_raw_reg(), and supply_fast_tracepoint_registers().

## ◆ FT_CR_CPSR

#define FT_CR_CPSR 2

Definition at line 35 of file linux-aarch64-ipa.c.

## ◆ FT_CR_FPCR

#define FT_CR_FPCR 0

Definition at line 33 of file linux-aarch64-ipa.c.

## ◆ FT_CR_FPR

#define FT_CR_FPR | ( |  | n | ) | (FT_CR_GPR (31) + (n))

Definition at line 40 of file linux-aarch64-ipa.c.

## ◆ FT_CR_FPSR

#define FT_CR_FPSR 1

Definition at line 34 of file linux-aarch64-ipa.c.

## ◆ FT_CR_GPR

#define FT_CR_GPR | ( |  | n | ) | (FT_CR_X0 + (n))

Definition at line 39 of file linux-aarch64-ipa.c.

## ◆ FT_CR_PC

#define FT_CR_PC 3

Definition at line 36 of file linux-aarch64-ipa.c.

## ◆ FT_CR_SIZE

#define FT_CR_SIZE 16

Definition at line 31 of file linux-aarch64-ipa.c.

Referenced by get_raw_reg(), and supply_fast_tracepoint_registers().

## ◆ FT_CR_SP

#define FT_CR_SP 4

Definition at line 37 of file linux-aarch64-ipa.c.

## ◆ FT_CR_X0

#define FT_CR_X0 5

Definition at line 38 of file linux-aarch64-ipa.c.

## Function Documentation

## ◆ alloc_jump_pad_buffer()

void* alloc_jump_pad_buffer | ( | size_t | size | ) |

Definition at line 165 of file linux-aarch64-ipa.c.

References perror_with_name().

Referenced by initialize_tracepoint().

## ◆ get_ipa_tdesc()

const struct target_desc* get_ipa_tdesc | ( | int | idx | ) |

Definition at line 153 of file linux-aarch64-ipa.c.

References aarch64_linux_read_description().

Referenced by get_context_regcache().

## ◆ get_raw_reg()

ULONGEST get_raw_reg | ( | const unsigned char * | raw_regs,
|  | int | regnum
| ) |  |

Definition at line 139 of file linux-aarch64-ipa.c.

## ◆ initialize_low_tracepoint()

void initialize_low_tracepoint | ( | void |  | ) |

Definition at line 205 of file linux-aarch64-ipa.c.

References aarch64_linux_read_description().

Referenced by initialize_tracepoint().

## ◆ supply_fast_tracepoint_registers()

void supply_fast_tracepoint_registers | ( | struct regcache * | regcache,
|  | const unsigned char * | buf
| ) |  |

Definition at line 127 of file linux-aarch64-ipa.c.

References aarch64_ft_collect_regmap, AARCH64_NUM_FT_COLLECT_GREGS, FT_CR_SIZE, and supply_register().

Referenced by get_context_regcache().

## Variable Documentation

## ◆ aarch64_ft_collect_regmap

const int aarch64_ft_collect_regmap[]
| static

Definition at line 48 of file linux-aarch64-ipa.c.

Referenced by get_raw_reg(), and supply_fast_tracepoint_registers().